Đến nội dung


Hình ảnh
- - - - -

Dời điểm insert block


  • Please log in to reply
10 replies to this topic

#1 abc007

abc007

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 11 July 2007 - 11:44 AM

Nhờ các bác giúp 1 lisp với nội dung :
Dời điểm insert của block có sẵn theo vị trí mình muốn mà không đổi vị trí của block
Mình làm được nhưng chưa triệt để như sau:
1.Tạo block mới giống block cũ nhưng có điểm chèn theo vị trí của mình .
2.Thay block cũ bằng block mới vừa tạo.
3.Di chuyển block mới theo khoảng cách và phương giữa 2 điểm chèn của block mới và cũ.
Làm như vậy chỉ được đối với các block không bị rotate, các block bị rotate thì không đúng vị trí .
Nhờ các bác giúp cám ơn.
http://www.cadviet.com/upfiles/Moveinsblock.rar
http://www.cadviet.com/sub/hupload.php?fok..._chen_block.rar
  • 0

#2 vndesperados

vndesperados

    biết lệnh xref

  • Members
  • PipPipPipPipPipPipPip
  • 547 Bài viết
Điểm đánh giá: 253 (khá)

Đã gửi 12 July 2007 - 08:12 AM

Nhờ các bác giúp 1 lisp với nội dung :
Dời điểm insert của block có sẵn theo vị trí mình muốn mà không đổi vị trí của block
Mình làm được nhưng chưa triệt để như sau:
1.Tạo block mới giống block cũ nhưng có điểm chèn theo vị trí của mình .
2.Thay block cũ bằng block mới vừa tạo.
3.Di chuyển block mới theo khoảng cách và phương giữa 2 điểm chèn của block mới và cũ.
Làm như vậy chỉ được đối với các block không bị rotate, các block bị rotate thì không đúng vị trí .
Nhờ các bác giúp cám ơn.
http://www.cadviet.com/upfiles/Moveinsblock.rar
http://www.cadviet.com/sub/hupload.php?fok..._chen_block.rar



Thử cái này xem thế nào
DBLOCK.LSP
;;Chuong trinh Dinh nghia lai Block va giu nguyen vi tri khi thay doi diem chen
(DEFUN DBLOCK ()
(setq DCL_ID_BLOCK (load_dialog "BLOCK.DCL"))
(if (not(new_dialog "BLOCK" DCL_ID_BLOCK)) (exit))
(start_list "La_BLK")
(mapcar 'add_list LiLa)
(end_list)
(SETVALUEBLOCK_RE)
(action_tile "IsLayer_BLK" "(MODELABLK)")
(action_tile "info" "(ABOUT)")
(action_tile "accept" "(GETVALUEBLOCK_RE) (done_dialog 1)")
(action_tile "SelectBlock_RE" "(GETVALUEBLOCK_RE) (done_dialog 2)")
(action_tile "SelectObject_RE" "(GETVALUEBLOCK_RE) (done_dialog 3)")
(action_tile "SelectPoint_RE" "(GETVALUEBLOCK_RE) (done_dialog 4)")
(action_tile "apply" "(GETVALUEBLOCK_RE) (done_dialog 5)")
(setq RES_BLK (start_dialog))
(if (= RES_BLK 2)
(progn
(SELECTBLOCK_RE)
(DBLOCK)
)
)
(if (= RES_BLK 3)
(progn
(setq ssObj (SELECTOBJ_RE))
(DBLOCK)
)
)
(if (= RES_BLK 4)
(progn
(setq reblocktoado_RE (getpoint "Chon diem chen cua BLOCK: "))
(DBLOCK)
)
)
(if (= RES_BLK 5)
(progn
(RE_FIX_BLOCK)
(DBLOCK)
)
)
(unload_dialog DCL_ID_BLOCK)
)
(DEFUN C:DB()
(setvar "CMDECHO" 0)
(BLOCK_INIT)
(DBLOCK)
(setvar "CMDECHO" 1)
)
(DEFUN BLOCK_INIT()
(CREALILA)
(if (Null blockname_RE)
(setq blockname_RE "Temp_Block")
)
(setq blocktoado_RE (List 0 0))
(setq reblocktoado_RE Nil)
(if (Null fixPosBlock_RE)
(setq fixPosBlock_RE "1")
)
(setq ssObj Nil)
(setq gocBlock_RE "0")
(setq xscBlock_RE "1")
(setq yscBlock_RE "1")
(setq IsRedefine 0)
(if (Null IsLayer_BLK)
(setq IsLayer_BLK "0")
)
(setq P0_BLK (List 0 0))
(if (Null idlablock)
(setq idlablock "0")
)
)
(DEFUN SETVALUEBLOCK_RE()
(set_tile "Blockname_RE" blockname_RE)
(set_tile "fixPosBlock_RE" fixPosBlock_RE)
(set_tile "IsLayer_BLK" IsLayer_BLK)
(set_tile "XOAY_BLK" gocBlock_RE)
(set_tile "SCX_BLK" xscBlock_RE)
(set_tile "SCY_BLK" yscBlock_RE)
(set_tile "TDXY_BLK" (strcat (rtos (car blocktoado_RE) 2 1)" : " (rtos (cadr blocktoado_RE) 2 1)))
(if (= IsLayer_BLK "1")
(mode_tile "La_BLK" 0)
(mode_tile "La_BLK" 1)
)
(set_tile "La_BLK" idlablock)
)
(DEFUN MODELABLK()
(setq IsLayer_BLK (get_tile "IsLayer_BLK"))
(if (= IsLayer_BLK "1")
(mode_tile "La_BLK" 0)
(mode_tile "La_BLK" 1)
)
)
(DEFUN GETVALUEBLOCK_RE()
(setq IsLayer_BLK (get_tile "IsLayer_BLK"))
(setq blockname_RE (get_tile "Blockname_RE"))
(setq fixPosBlock_RE (get_tile "fixPosBlock_RE"))
(setq idlablock (get_tile "La_BLK"))
)
(DEFUN SELECTBLOCK_RE(/ ss)
(setq ss Nil)
(setq ss (ssget))
(setq dt (ssname ss 0))
(if (= (cdr (assoc 0 (entget dt))) "INSERT")
(progn
(setq blockname_RE (TENDOITUONG dt))
(setq blocktoado_RE (TOADOXY dt))
(setq gocBlock_RE (angtos (GOCXOAY dt)))
(setq xscBlock_RE (rtos (X_SCALE dt) 2 2))
(setq yscBlock_RE (rtos (Y_SCALE dt) 2 2))
(if (OR (/= (atof gocBlock_RE) 0) (/= xscBlock_RE yscBlock_RE) (/= xscBlock_RE "1.00"))
(progn
(alert "Doi tuong nay khong the dinh nghia lai. \nHay chon mot doi tuong khac co goc xoay bang 0 va X_Scale = Y_Scale = 1")
(setq IsRedefine 0)
)
(progn
(command "EXPLODE" dt)
(setq IsRedefine 1)
)
)
)
(alert "Doi tuong vua chon khong phai la Block")
)
)
(DEFUN SELECTOBJ_RE(/ ss)
(setq ss Nil)
(while (= ss Nil)
(setq ss (ssget))
)
ss
)
(DEFUN TENDOITUONG (obj / name)
(if (/= (cdr (assoc 0 (entget obj))) "INSERT")
(setq name (cdr (assoc 0 (entget obj))))
(setq name (cdr (assoc 2 (entget obj))))
)
name
)
(DEFUN TOADOXY (obj / td)
(setq td (cdr (assoc 10 (entget obj))))
td
)
(DEFUN RE_FIX_BLOCK(/ kc goc ssBlock)
(if (AND (/= reblocktoado_RE Nil) (/= blocktoado_RE Nil)(= IsRedefine 1))
(progn
(command "-BLOCK" blockname_RE "Y" reblocktoado_RE ssObj "")
(command "-INSERT" blockname_RE blocktoado_RE "1" "1" "0")
(setq dt (entlast))
(command "SCALE" dt "" reblocktoado_RE (atof xscBlock_RE))
(setq tempGoc (angle blocktoado_RE reblocktoado_RE))
(setq layerblock (nth (atoi idlablock) LiLa))
(setq IsRedefine 0)
(if (= fixPosBlock_RE "1")
(progn
(setq disBLK (distance blocktoado_RE reblocktoado_RE))
(setq ssBlock (ssget "X" '((0 . "INSERT"))))
(setq n (sslength ssBlock))
(setq i 0)
(while (< i n)
(setq dt (ssname ssBlock i))
(if (= (TENDOITUONG dt) blockname_RE)
(progn
(if (= IsLayer_BLK 1)
(progn
(if (= (LAYERNAME dt) layerblock)
(progn
(setq xscdtBLK (X_SCALE dt))
(if (< xscdtBLK 0)
(setq gocdtBLK (+ (GOCXOAY dt) (- Pi tempGoc)))
(setq gocdtBLK (+ (GOCXOAY dt) tempGoc))
)
(setq P1 (polar P0_BLK gocdtBLK (* disBLK xscdtBLK)))
(command "MOVE" dt "" P0_BLK P1)
)
)
)
(progn
(setq xscdtBLK (X_SCALE dt))
(if (< xscdtBLK 0)
(setq gocdtBLK (+ (GOCXOAY dt) (- Pi tempGoc)))
(setq gocdtBLK (+ (GOCXOAY dt) tempGoc))
)
(setq P1 (polar P0_BLK gocdtBLK (abs (* disBLK xscdtBLK))))
(command "MOVE" dt "" P0_BLK P1)
)
)
)
)
(setq i (+ i 1))
)
)
)
)
(progn
(if (= blocktoado_RE Nil)
(alert "Chua chon BLOCK can dinh nghia lai")
)
(if (= reblocktoado_RE Nil)
(alert "Chua chon diem chen moi cho BLOCK can dinh nghia")
)
)
)
)
(DEFUN CREALILA (/ NL)
(setq LiLa (List))
(setq NL (tblnext "LAYER" T))
(while NL
(setq LiLa (append LiLa (list (cdr (assoc 2 NL)))))
(setq NL (tblnext "LAYER"))
)
(setq LiLa (Acad_strlsort LiLa))
)
(DEFUN GOCXOAY (obj / goc)
(setq goc (cdr (assoc 50 (entget obj))))
goc
)
(DEFUN X_SCALE (obj / sc)
(setq sc (cdr (assoc 41 (entget obj))))
sc
)
(DEFUN Y_SCALE (obj / sc)
(setq sc (cdr (assoc 42 (entget obj))))
sc
)
(DEFUN LAYERNAME (obj / laname)
(setq laname (cdr (assoc 8 (entget obj))))
laname
)
(DEFUN ABOUT(/ DCL_ID_ABOUT)
(setq DCL_ID_ABOUT (load_dialog "DCLBLOCK.DCL"))
(if (not(new_dialog "ABOUT" DCL_ID_ABOUT))(exit))
(start_list "aboutme")
(add_list " ")
(add_list " VO KIEN CUONG - Bachelor of IT")
(add_list " =====================================================")
(add_list " Email : vkcuong_23@yahoo.com")
(add_list " Mobile: 0983616182 - 0977352125")
(add_list " CAD developer (LISP, DCL, VBA for AutoCad, ObjectARX...)")
(add_list " Web developer (ASP, ASP.Net, Java, XML, Script, C#.Net...)")
(add_list " ")
(end_list)
(start_dialog)
(unload_dialog DCL_ID_ABOUT)
)
BLOCK.DCL
//Chuong trinh Dinh nghia lai Block va giu nguyen vi tri khi thay doi diem chen
BLOCK:dialog {
label="REDEFINE BLOCK";
:row {
:edit_box{
label="Ten Block";
key="Blockname_RE";
edit_width=20;
}
:spacer {
width=15;
}
}
spacer_1;
:row {
:boxed_column{
label= "Thong tin Bolck";
:button {
label="Chon Block";
key="SelectBlock_RE";
}
:edit_box{
label="Toa do:";
key="TDXY_BLK";
edit_width=15;
}
:edit_box{
label="Goc xoay:";
key="XOAY_BLK";
edit_width=12;
}
:edit_box{
label="Ty le X:";
key="SCX_BLK";
edit_width=12;
}
:edit_box{
label="Ty le Y:";
key="SCY_BLK";
edit_width=12;
}
}
:boxed_column{
label="Dinh nghia lai Bolck";
:button {
label="Chon doi tuong";
key="SelectObject_RE";
}
:button {
label="Chon diem dat";
key="SelectPoint_RE";
}
:toggle {
label="Block trong Layer";
key="IsLayer_BLK";
}
:popup_list{
key="La_BLK";
edit_width=25;
}
:toggle {
label="Giu vi tri Block";
key="fixPosBlock_RE";
value="1";
}
}
}
spacer_1;
:row {
:button {
label="Apply";
key="apply";
}
ok_cancel;
:button {
label="Info..";
key="info";
}
}
}

  • 0

#3 TuanNT

TuanNT

    biết zoom

  • Advance Member
  • Pip
  • 12 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 July 2007 - 10:22 PM

Vndesperados xem lại giúp, lisp chạy không đúng. Nó thực hiện chẳng khác gì lệnh move. Hình bị lệch ra khỏi chỗ cũ. Ngoài ra, còn có 1 thông báo sau:
Command: db
Select objects: 1 found
Select objects: Chon diem chen cua BLOCK: Unknown command "DB". Press F1 for
help.
1

  • 0

#4 vbao

vbao

    biết lệnh array

  • CADViet Team
  • PipPipPip
  • 184 Bài viết
Điểm đánh giá: 80 (tàm tạm)

Đã gửi 13 July 2007 - 10:45 AM

Thử cái này xem thế nào
DBLOCK.LSP

;;Chuong trinh Dinh nghia lai Block va giu nguyen vi tri khi thay doi diem chen
(DEFUN DBLOCK ()
(setq DCL_ID_BLOCK (load_dialog "BLOCK.DCL"))
(if (not(new_dialog "BLOCK" DCL_ID_BLOCK)) (exit))
(start_list "La_BLK")
(mapcar 'add_list LiLa)
(end_list)
(SETVALUEBLOCK_RE)
(action_tile "IsLayer_BLK" "(MODELABLK)")
(action_tile "info" "(ABOUT)")
(action_tile "accept" "(GETVALUEBLOCK_RE) (done_dialog 1)")
(action_tile "SelectBlock_RE" "(GETVALUEBLOCK_RE) (done_dialog 2)")
(action_tile "SelectObject_RE" "(GETVALUEBLOCK_RE) (done_dialog 3)")
(action_tile "SelectPoint_RE" "(GETVALUEBLOCK_RE) (done_dialog 4)")
(action_tile "apply" "(GETVALUEBLOCK_RE) (done_dialog 5)")
(setq RES_BLK (start_dialog))
(if (= RES_BLK 2)
(progn
(SELECTBLOCK_RE)
(DBLOCK)
)
)
(if (= RES_BLK 3)
(progn
(setq ssObj (SELECTOBJ_RE))
(DBLOCK)
)
)
(if (= RES_BLK 4)
(progn
(setq reblocktoado_RE (getpoint "Chon diem chen cua BLOCK: "))
(DBLOCK)
)
)
(if (= RES_BLK 5)
(progn
(RE_FIX_BLOCK)
(DBLOCK)
)
)
(unload_dialog DCL_ID_BLOCK)
)
(DEFUN C:DB()
(setvar "CMDECHO" 0)
(BLOCK_INIT)
(DBLOCK)
(setvar "CMDECHO" 1)
)
(DEFUN BLOCK_INIT()
(CREALILA)
(if (Null blockname_RE)
(setq blockname_RE "Temp_Block")
)
(setq blocktoado_RE (List 0 0))
(setq reblocktoado_RE Nil)
(if (Null fixPosBlock_RE)
(setq fixPosBlock_RE "1")
)
(setq ssObj Nil)
(setq gocBlock_RE "0")
(setq xscBlock_RE "1")
(setq yscBlock_RE "1")
(setq IsRedefine 0)
(if (Null IsLayer_BLK)
(setq IsLayer_BLK "0")
)
(setq P0_BLK (List 0 0))
(if (Null idlablock)
(setq idlablock "0")
)
)
(DEFUN SETVALUEBLOCK_RE()
(set_tile "Blockname_RE" blockname_RE)
(set_tile "fixPosBlock_RE" fixPosBlock_RE)
(set_tile "IsLayer_BLK" IsLayer_BLK)
(set_tile "XOAY_BLK" gocBlock_RE)
(set_tile "SCX_BLK" xscBlock_RE)
(set_tile "SCY_BLK" yscBlock_RE)
(set_tile "TDXY_BLK" (strcat (rtos (car blocktoado_RE) 2 1)" : " (rtos (cadr blocktoado_RE) 2 1)))
(if (= IsLayer_BLK "1")
(mode_tile "La_BLK" 0)
(mode_tile "La_BLK" 1)
)
(set_tile "La_BLK" idlablock)
)
(DEFUN MODELABLK()
(setq IsLayer_BLK (get_tile "IsLayer_BLK"))
(if (= IsLayer_BLK "1")
(mode_tile "La_BLK" 0)
(mode_tile "La_BLK" 1)
)
)
(DEFUN GETVALUEBLOCK_RE()
(setq IsLayer_BLK (get_tile "IsLayer_BLK"))
(setq blockname_RE (get_tile "Blockname_RE"))
(setq fixPosBlock_RE (get_tile "fixPosBlock_RE"))
(setq idlablock (get_tile "La_BLK"))
)
(DEFUN SELECTBLOCK_RE(/ ss)
(setq ss Nil)
(setq ss (ssget))
(setq dt (ssname ss 0))
(if (= (cdr (assoc 0 (entget dt))) "INSERT")
(progn
(setq blockname_RE (TENDOITUONG dt))
(setq blocktoado_RE (TOADOXY dt))
(setq gocBlock_RE (angtos (GOCXOAY dt)))
(setq xscBlock_RE (rtos (X_SCALE dt) 2 2))
(setq yscBlock_RE (rtos (Y_SCALE dt) 2 2))
(if (OR (/= (atof gocBlock_RE) 0) (/= xscBlock_RE yscBlock_RE) (/= xscBlock_RE "1.00"))
(progn
(alert "Doi tuong nay khong the dinh nghia lai. \nHay chon mot doi tuong khac co goc xoay bang 0 va X_Scale = Y_Scale = 1")
(setq IsRedefine 0)
)
(progn
(command "EXPLODE" dt)
(setq IsRedefine 1)
)
)
)
(alert "Doi tuong vua chon khong phai la Block")
)
)
(DEFUN SELECTOBJ_RE(/ ss)
(setq ss Nil)
(while (= ss Nil)
(setq ss (ssget))
)
ss
)
(DEFUN TENDOITUONG (obj / name)
(if (/= (cdr (assoc 0 (entget obj))) "INSERT")
(setq name (cdr (assoc 0 (entget obj))))
(setq name (cdr (assoc 2 (entget obj))))
)
name
)
(DEFUN TOADOXY (obj / td)
(setq td (cdr (assoc 10 (entget obj))))
td
)
(DEFUN RE_FIX_BLOCK(/ kc goc ssBlock)
(if (AND (/= reblocktoado_RE Nil) (/= blocktoado_RE Nil)(= IsRedefine 1))
(progn
(command "-BLOCK" blockname_RE "Y" reblocktoado_RE ssObj "")
(command "-INSERT" blockname_RE blocktoado_RE "1" "1" "0")
(setq dt (entlast))
(command "SCALE" dt "" reblocktoado_RE (atof xscBlock_RE))
(setq tempGoc (angle blocktoado_RE reblocktoado_RE))
(setq layerblock (nth (atoi idlablock) LiLa))
(setq IsRedefine 0)
(if (= fixPosBlock_RE "1")
(progn
(setq disBLK (distance blocktoado_RE reblocktoado_RE))
(setq ssBlock (ssget "X" '((0 . "INSERT"))))
(setq n (sslength ssBlock))
(setq i 0)
(while (< i n)
(setq dt (ssname ssBlock i))
(if (= (TENDOITUONG dt) blockname_RE)
(progn
(if (= IsLayer_BLK 1)
(progn
(if (= (LAYERNAME dt) layerblock)
(progn
(setq xscdtBLK (X_SCALE dt))
(if (< xscdtBLK 0)
(setq gocdtBLK (+ (GOCXOAY dt) (- Pi tempGoc)))
(setq gocdtBLK (+ (GOCXOAY dt) tempGoc))
)
(setq P1 (polar P0_BLK gocdtBLK (* disBLK xscdtBLK)))
(command "MOVE" dt "" P0_BLK P1)
)
)
)
(progn
(setq xscdtBLK (X_SCALE dt))
(if (< xscdtBLK 0)
(setq gocdtBLK (+ (GOCXOAY dt) (- Pi tempGoc)))
(setq gocdtBLK (+ (GOCXOAY dt) tempGoc))
)
(setq P1 (polar P0_BLK gocdtBLK (abs (* disBLK xscdtBLK))))
(command "MOVE" dt "" P0_BLK P1)
)
)
)
)
(setq i (+ i 1))
)
)
)
)
(progn
(if (= blocktoado_RE Nil)
(alert "Chua chon BLOCK can dinh nghia lai")
)
(if (= reblocktoado_RE Nil)
(alert "Chua chon diem chen moi cho BLOCK can dinh nghia")
)
)
)
)
(DEFUN CREALILA (/ NL)
(setq LiLa (List))
(setq NL (tblnext "LAYER" T))
(while NL
(setq LiLa (append LiLa (list (cdr (assoc 2 NL)))))
(setq NL (tblnext "LAYER"))
)
(setq LiLa (Acad_strlsort LiLa))
)
(DEFUN GOCXOAY (obj / goc)
(setq goc (cdr (assoc 50 (entget obj))))
goc
)
(DEFUN X_SCALE (obj / sc)
(setq sc (cdr (assoc 41 (entget obj))))
sc
)
(DEFUN Y_SCALE (obj / sc)
(setq sc (cdr (assoc 42 (entget obj))))
sc
)
(DEFUN LAYERNAME (obj / laname)
(setq laname (cdr (assoc 8 (entget obj))))
laname
)
(DEFUN ABOUT(/ DCL_ID_ABOUT)
(setq DCL_ID_ABOUT (load_dialog "DCLBLOCK.DCL"))
(if (not(new_dialog "ABOUT" DCL_ID_ABOUT))(exit))
(start_list "aboutme")
(add_list " ")
(add_list " VO KIEN CUONG - Bachelor of IT")
(add_list " =====================================================")
(add_list " Email : vkcuong_23@yahoo.com")
(add_list " Mobile: 0983616182 - 0977352125")
(add_list " CAD developer (LISP, DCL, VBA for AutoCad, ObjectARX...)")
(add_list " Web developer (ASP, ASP.Net, Java, XML, Script, C#.Net...)")
(add_list " ")
(end_list)
(start_dialog)
(unload_dialog DCL_ID_ABOUT)
)
BLOCK.DCL
//Chuong trinh Dinh nghia lai Block va giu nguyen vi tri khi thay doi diem chen
BLOCK:dialog {
label="REDEFINE BLOCK";
:row {
:edit_box{
label="Ten Block";
key="Blockname_RE";
edit_width=20;
}
:spacer {
width=15;
}
}
spacer_1;
:row {
:boxed_column{
label= "Thong tin Bolck";
:button {
label="Chon Block";
key="SelectBlock_RE";
}
:edit_box{
label="Toa do:";
key="TDXY_BLK";
edit_width=15;
}
:edit_box{
label="Goc xoay:";
key="XOAY_BLK";
edit_width=12;
}
:edit_box{
label="Ty le X:";
key="SCX_BLK";
edit_width=12;
}
:edit_box{
label="Ty le Y:";
key="SCY_BLK";
edit_width=12;
}
}
:boxed_column{
label="Dinh nghia lai Bolck";
:button {
label="Chon doi tuong";
key="SelectObject_RE";
}
:button {
label="Chon diem dat";
key="SelectPoint_RE";
}
:toggle {
label="Block trong Layer";
key="IsLayer_BLK";
}
:popup_list{
key="La_BLK";
edit_width=25;
}
:toggle {
label="Giu vi tri Block";
key="fixPosBlock_RE";
value="1";
}
}
}
spacer_1;
:row {
:button {
label="Apply";
key="apply";
}
ok_cancel;
:button {
label="Info..";
key="info";
}
}
}


vndesperados khi chay chuong trinh tôi gặp lỗi sau:
Command: (load"dblock")
ABOUT

Command: db ; error: quit / exit abort

mong chỉ dẫn. Thanks
  • 0

#5 interwar1283

interwar1283

    biết dimcontinue

  • Vip
  • PipPipPipPipPip
  • 374 Bài viết
Điểm đánh giá: 211 (khá)

Đã gửi 01 August 2007 - 01:24 PM

Lisp của vndesperados không chạy được,bác xem lại giúp nhé, lisp này rất hay, mình cũng đang cần đến nó.
  • 0

#6 interwar1283

interwar1283

    biết dimcontinue

  • Vip
  • PipPipPipPipPip
  • 374 Bài viết
Điểm đánh giá: 211 (khá)

Đã gửi 24 August 2007 - 06:49 PM

Bác vndesperados xem lại giúp em cái lisp của bác với.
  • 0

#7 vndesperados

vndesperados

    biết lệnh xref

  • Members
  • PipPipPipPipPipPipPip
  • 547 Bài viết
Điểm đánh giá: 253 (khá)

Đã gửi 25 August 2007 - 07:29 AM

Bác NguyenHoanh này!
Bác có rãnh thì giúp mình xem lại cái này cho anh em nhé
Mình đang đi công tác và trong máy lại không có AutoCAD. Vài tuần nữa mới đượv về nhà, chò đến đó thì lâu quá....
Cảm ơn bác nhé
  • 0

#8 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 25 August 2007 - 09:46 AM

Tôi test rồi!
Lisp chạy không lỗi.
Lỗi ; error: quit / exit abort là do các bạn chưa copy file BLOCK.DCL vào thư mục support của ACAD.

Tuy nhiên lisp chạy chưa đúng không rõ do đâu. Lúc nào rảnh thì vndesperados thì xem lại xem nhầm ở đâu. Đây là 1 file đơn giản mà vndesperados có thể test: http://www.cadviet.com/upfiles/blocktest.zip
  • 0

#9 zoro107

zoro107

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 02 December 2010 - 10:21 AM

VAN DE NAY BI DUT DUOI NONG NOC TU DAY ROI! CAC PRO TIEN NO DEN CUOI LUON DI CHU
  • 0

#10 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 02 December 2010 - 10:26 AM

VAN DE NAY BI DUT DUOI NONG NOC TU DAY ROI! CAC PRO TIEN NO DEN CUOI LUON DI CHU

Con nòng nọc này thành ếch ở topic khác rồi bạn tìm xem. Cái này mình có tham gia nhưng ko nhớ rỏ chổ nào nửa!
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#11 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 02 December 2010 - 10:49 AM

Con nòng nọc này thành ếch ở topic khác rồi bạn tìm xem. Cái này mình có tham gia nhưng ko nhớ rỏ chổ nào nửa!

Chủ đề đó ở đây anh ạ :
http://www.cadviet.c...o...11276&st=20

@zoro107 : Nhắc nhở bạn phải viết chữ tiếng Việt có dấu
Chú ý: Hãy viết tiếng Việt có dấu, nếu không bài viết của bạn sẽ bị xoá. Nếu vì lý do kỹ thuật bạn không thể gõ tiếng Việt, hãy vào đây để convert thành tiếng Việt có dấu rồi paste vào bài viết của bạn.
  • 0